znach=input('k1,T,k2,Xm,A,F,N=').split(',')
k1=float(znach[0])
T=float(znach[1])
k2=float(znach[2])
Xm=float(znach[3])
A=float(znach[4])
F=float(znach[5])
N=int(znach[6])

import math
vhod=[]
for i in range(N):
	vhod.append(A*math.sin((2*i*math.pi)/F))

import MM1 as mod
yi1=0;yin1=0;yi2=0
vyhod=[]
for xt in vhod:
	xt1=xt-yi2   #отрицательная обратная связь
	[yi1,yin1]=mod.realdvig(xt1,k1,T,yi1,yin1)
	yi2=mod.tahogen(yin1,k2,yi2)
	yt=mod.nechus(yin1,Xm)
	vyhod.append(yt)
